Package weka.attributeSelection

# Class LFSMethods.LinkedList2

java.lang.Object
weka.core.FastVector
weka.attributeSelection.LFSMethods.LinkedList2

All Implemented Interfaces:
  `Serializable`, `Copyable`, `RevisionHandler`

Enclosing class:
  `LFSMethods`

public class LFSMethods.LinkedList2 extends FastVector
Class for handling a linked list. Used in best first search. Extends the Vector class.

Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class weka.core.FastVector

`FastVector.FastVectorEnumeration`

## Constructor Summary

Constructors
Constructor
Description
`LinkedList2(int sz)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToList(Object[] data, double mer)`
adds an element (Link) to the list.
`LFSMethods.Link2`
`getLinkAt(int index)`
returns the element (Link) at a specific index from the list.
`String`
`getRevision()`
Returns the revision string.
`void`
`removeLinkAt(int index)`
removes an element (Link) at a specific index from the list.

### Methods inherited from class weka.core.FastVector

`addElement, appendElements, capacity, contains, copy, copyElements, elementAt, elements, elements, firstElement, indexOf, insertElementAt, lastElement, removeAllElements, removeElementAt, setCapacity, setElementAt, size, swap, toArray, trimToSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkedList2

public LinkedList2(int sz)

## Method Details

### removeLinkAt

public void removeLinkAt(int index) throws Exception
removes an element (Link) at a specific index from the list.

Parameters:
  `index` - the index of the element to be removed.
Throws:
  `Exception`

### getLinkAt

public LFSMethods.Link2 getLinkAt(int index) throws Exception
returns the element (Link) at a specific index from the list.

Parameters:
  `index` - the index of the element to be returned.
Throws:
  `Exception`

### addToList

public void addToList(Object[] data, double mer) throws Exception
adds an element (Link) to the list.

Parameters:
  `mer` - the "merit" of this attribute set
  `gr` - the attribute set specification
Throws:
  `Exception`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `FastVector`
Returns:
  the revision